> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.imbawallet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Documents

> Poll async operations by your ext_id.

# Documents

Scope: `document:read`.

Every create that uses `ext_id` can be polled:

```http theme={null}
GET https://api.imbawallet.com/partner/documents/{ext_id}
Authorization: Bearer <access_token>
```

```json theme={null}
{
  "ext_id": "withdraw-20260710-001",
  "type": "withdrawal",
  "id": "019d0123-bf52-74b5-b78a-76c49333e82d",
  "status": "processing",
  "updated_at": "2026-07-10T09:21:15.000Z",
  "request_id": "019d0120-7b59-7eab-b837-a7af38ea3db2"
}
```

## Document types

| `type`          | Created by                             |
| --------------- | -------------------------------------- |
| `withdrawal`    | `POST /partner/withdrawals`            |
| `card_issue`    | `POST /partner/cards`                  |
| `card_topup`    | `POST /partner/cards/{card_id}/topups` |
| `card_freeze`   | `POST /partner/cards/{card_id}/freeze` |
| `esim_purchase` | `POST /partner/esims`                  |
| `esim_topup`    | `POST /partner/esims/{esim_id}/topups` |
| `gift_purchase` | `POST /partner/gift-cards`             |

Unknown `ext_id` for your tenant → `404`.

Use documents for reconciliation of in-flight work; use product GET endpoints for secrets (card / eSIM / gift).
